package com.srs.comprehensive.service;

import com.srs.comprehensive.domain.CphClasstwo;
import com.srs.comprehensive.domain.Vo.CphClasstwoVo;

import java.util.List;
import java.util.Map;

/**
 * 第二课堂Service接口
 * 
 * @author zhy
 * @date 2023-07-03
 */
public interface ICphClasstwoService 
{
    /**
     * 查询第二课堂
     * 
     * @param id 第二课堂主键
     * @return 第二课堂
     */
    public CphClasstwo selectCphClasstwoById(Long id);

    /**
     * 查询第二课堂列表
     *
     * @param cphClasstwo 第二课堂 连表查询
     * @return 第二课堂集合
     */
    public List<CphClasstwo> selectCphClasstwoListJoin(CphClasstwo cphClasstwo);

    /**
     * 查询第二课堂列表
     * 
     * @param cphClasstwo 第二课堂
     * @return 第二课堂集合
     */
    public List<CphClasstwo> selectCphClasstwoList(CphClasstwo cphClasstwo);

    /**
     * 新增第二课堂
     * 
     * @param cphClasstwo 第二课堂
     * @return 结果
     */
    public int insertCphClasstwo(CphClasstwo cphClasstwo);

    /**
     * 修改第二课堂
     * 
     * @param cphClasstwo 第二课堂
     * @return 结果
     */
    public int updateCphClasstwo(CphClasstwo cphClasstwo);

    /**
     * 批量删除第二课堂
     * 
     * @param ids 需要删除的第二课堂主键集合
     * @return 结果
     */
    public int deleteCphClasstwoByIds(Long[] ids);

    /**
     * 删除第二课堂信息
     * 
     * @param id 第二课堂主键
     * @return 结果
     */
    public int deleteCphClasstwoById(Long id);
    /**
     * 中间表导入
     */
    List<String> addSumClassTwo();
    //  导入第二课堂
    public boolean addSumClassAll(List<CphClasstwoVo> cphClasstwoVo);
}
